commit:     bc36914096a67a2449d3a215b42c24e899dc3f2f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 08:07:32 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 08:07:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc369140

dev-python/click: Build docs using python2

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=572660

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/click/click-6.2.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-python/click/click-6.2.ebuild 
b/dev-python/click/click-6.2.ebuild
index b0aa96c..59f7847 100644
--- a/dev-python/click/click-6.2.ebuild
+++ b/dev-python/click/click-6.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -17,11 +17,17 @@ SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
 IUSE="doc examples test"
 
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
 DEPEND="
        dev-python/setuptools[${PYTHON_USEDEP}]
        test? ( dev-python/pytest[${PYTHON_USEDEP}] )
        doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
 
+pkg_setup() {
+       use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
 python_prepare_all() {
        # Prevent un-needed d'loading
        sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die

Reply via email to